kind: Pod
apiVersion: v1
metadata:
  generateName: example-infinispan-
  annotations:
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "openshift-sdn",
          "interface": "eth0",
          "ips": [
              "10.131.0.47"
          ],
          "default": true,
          "dns": {}
      }]
    k8s.v1.cni.cncf.io/networks-status: |-
      [{
          "name": "openshift-sdn",
          "interface": "eth0",
          "ips": [
              "10.131.0.47"
          ],
          "default": true,
          "dns": {}
      }]
    openshift.io/scc: restricted-v2
    seccomp.security.alpha.kubernetes.io/pod: runtime/default
    updateDate: '2023-03-24 16:08:03.57570909 +0000 UTC m=+43.125677786'
  resourceVersion: '74009'
  name: example-infinispan-0
  uid: 2dabb22c-bf6e-4df6-bc42-fd1f604d7113
  creationTimestamp: '2023-03-24T16:08:03Z'
  namespace: openshift-operators
  labels:
    app: infinispan-pod
    infinispan_cr: example-infinispan
    rht.comp_ver: 8.4.2
    rht.prod_name: Red_Hat_Runtimes
    clusterName: example-infinispan
    app.kubernetes.io/created-by: example-infinispan
    rht.prod_ver: 2023-Q1
    statefulset.kubernetes.io/pod-name: example-infinispan-0
    controller-revision-hash: example-infinispan-5564567998
    rht.subcomp_t: application
    rht.comp: Data_Grid
spec:
  restartPolicy: Always
  serviceAccountName: default
  imagePullSecrets:
    - name: default-dockercfg-r55cf
  priority: 0
  schedulerName: default-scheduler
  enableServiceLinks: true
  affinity:
    podAntiAffinity:
      preferredDuringSchedulingIgnoredDuringExecution:
        - weight: 100
          podAffinityTerm:
            labelSelector:
              matchLabels:
                app: infinispan-pod
                clusterName: example-infinispan
                infinispan_cr: example-infinispan
            topologyKey: kubernetes.io/hostname
  terminationGracePeriodSeconds: 30
  preemptionPolicy: PreemptLowerPriority
  nodeName: ip-10-0-145-170.eu-west-3.compute.internal
  securityContext:
    seLinuxOptions:
      level: 's0:c20,c10'
    fsGroup: 1000400000
    seccompProfile:
      type: RuntimeDefault
  containers:
    - resources:
        limits:
          memory: 1Gi
        requests:
          memory: 1Gi
      readinessProbe:
        httpGet:
          path: rest/v2/cache-managers/default/health/status
          port: 11223
          scheme: HTTP
        timeoutSeconds: 80
        periodSeconds: 10
        successThreshold: 1
        failureThreshold: 5
      terminationMessagePath: /dev/termination-log
      name: infinispan
      livenessProbe:
        httpGet:
          path: rest/v2/cache-managers/default/health/status
          port: 11223
          scheme: HTTP
        timeoutSeconds: 80
        periodSeconds: 10
        successThreshold: 1
        failureThreshold: 5
      env:
        - name: MANAGED_ENV
          value: 'TRUE'
        - name: JAVA_OPTIONS
          value: >-
            -Xmx200M -Xms200M -XX:MaxRAM=420M
            -Dsun.zip.disableMemoryMapping=true -XX:+UseSerialGC
            -XX:MinHeapFreeRatio=5 -XX:MaxHeapFreeRatio=10 
        - name: EXTRA_JAVA_OPTIONS
        - name: CLI_JAVA_OPTIONS
        - name: CONFIG_HASH
          value: 19d120748eb6960059b90614a0abfd055f1b3469
        - name: ADMIN_IDENTITIES_HASH
          value: 523d53a6f5b1238a8b775bae72d0177cb8456eff
        - name: IDENTITIES_BATCH
          value: /etc/security/conf/operator-security/identities.cli
        - name: IDENTITIES_HASH
          value: 2b609fbfa07b193c01cbe1a4f985b3520ca9c945
        - name: KEYSTORE_HASH
          value: >-
            d4c5e983b11c4055f1986c4145c986be7a39b905da39a3ee5e6b4b0d3255bfef95601890afd80709
      securityContext:
        capabilities:
          drop:
            - ALL
        runAsUser: 1000400000
        runAsNonRoot: true
        allowPrivilegeEscalation: false
      ports:
        - name: infinispan-adm
          containerPort: 11223
          protocol: TCP
        - name: ping
          containerPort: 8888
          protocol: TCP
        - name: infinispan
          containerPort: 11222
          protocol: TCP
      imagePullPolicy: IfNotPresent
      startupProbe:
        httpGet:
          path: rest/v2/cache-managers/default/health/status
          port: 11223
          scheme: HTTP
        initialDelaySeconds: 1
        timeoutSeconds: 80
        periodSeconds: 1
        successThreshold: 1
        failureThreshold: 600
      volumeMounts:
        - name: config-volume
          mountPath: /opt/infinispan/server/conf/operator
        - name: infinispan-security-volume
          mountPath: /etc/security/conf/operator-security
        - name: data-volume
          mountPath: /opt/infinispan/server/data
        - name: identities-volume
          mountPath: /etc/security/user
        - name: encrypt-volume
          mountPath: /etc/encrypt/keystore
        - name: kube-api-access-w9wj5
          readOnly: true
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      terminationMessagePolicy: File
      image: >-
        registry.redhat.io/datagrid/datagrid-8-rhel8@sha256:24cf79efa89bbfa495665b1711a27531b7ab0813695a89b2c38c96c2e792eb24
      args:
        - '-l'
        - /opt/infinispan/server/conf/operator/log4j.xml
        - '-c'
        - operator/infinispan-base.xml
        - '-c'
        - operator/infinispan-admin.xml
  hostname: example-infinispan-0
  serviceAccount: default
  volumes:
    - name: data-volume
      persistentVolumeClaim:
        claimName: data-volume-example-infinispan-0
    - name: config-volume
      configMap:
        name: example-infinispan-configuration
        defaultMode: 420
    - name: infinispan-security-volume
      secret:
        secretName: example-infinispan-infinispan-security
        defaultMode: 420
    - name: identities-volume
      secret:
        secretName: example-infinispan-generated-secret
        defaultMode: 420
    - name: encrypt-volume
      secret:
        secretName: example-infinispan-cert-secret
        defaultMode: 420
    - name: kube-api-access-w9wj5
      projected:
        sources:
          - serviceAccountToken:
              expirationSeconds: 3607
              path: token
          - configMap:
              name: kube-root-ca.crt
              items:
                - key: ca.crt
                  path: ca.crt
          - downwardAPI:
              items:
                - path: namespace
                  fieldRef:
                    apiVersion: v1
                    fieldPath: metadata.namespace
          - configMap:
              name: openshift-service-ca.crt
              items:
                - key: service-ca.crt
                  path: service-ca.crt
        defaultMode: 420
  dnsPolicy: ClusterFirst
  tolerations:
    - key: node.kubernetes.io/not-ready
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
    - key: node.kubernetes.io/unreachable
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
    - key: node.kubernetes.io/memory-pressure
      operator: Exists
      effect: NoSchedule
status:
  phase: Running
  conditions:
    - type: Initialized
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2023-03-24T16:08:07Z'
    - type: Ready
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2023-03-24T16:08:35Z'
    - type: ContainersReady
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2023-03-24T16:08:35Z'
    - type: PodScheduled
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2023-03-24T16:08:07Z'
  hostIP: 10.0.145.170
  podIP: 10.131.0.47
  podIPs:
    - ip: 10.131.0.47
  startTime: '2023-03-24T16:08:07Z'
  containerStatuses:
    - restartCount: 0
      started: true
      ready: true
      name: infinispan
      state:
        running:
          startedAt: '2023-03-24T16:08:28Z'
      imageID: >-
        registry.redhat.io/datagrid/datagrid-8-rhel8@sha256:24cf79efa89bbfa495665b1711a27531b7ab0813695a89b2c38c96c2e792eb24
      image: >-
        registry.redhat.io/datagrid/datagrid-8-rhel8@sha256:24cf79efa89bbfa495665b1711a27531b7ab0813695a89b2c38c96c2e792eb24
      lastState: {}
      containerID: 'cri-o://9c3b8a06f32c499470dae271e8af05b5564880161eca34117c633c0ef3bda708'
  qosClass: Burstable

